Re: Load errors in 1.2.1


#1

While running a unit-test I get load-errors in 1.2.1 like this
one, while my link.rb file does contain the Link-class. Anyone
else having this same problem ?

/usr/lib/ruby/gems/1.8/gems/activesupport-1.4.0/lib/active_support/dependencies.rb:250:in
`load_missing_constant’: Expected
/home/wybo/logilogi/trunk/config/…/app/models/link.rb to define Link
(LoadError)


#2

Wybo W. wrote:

While running a unit-test I get load-errors in 1.2.1 like this
one, while my link.rb file does contain the Link-class. Anyone
else having this same problem ?

/usr/lib/ruby/gems/1.8/gems/activesupport-1.4.0/lib/active_support/dependencies.rb:250:in
`load_missing_constant’: Expected
/home/wybo/logilogi/trunk/config/…/app/models/link.rb to define Link
(LoadError)

Yes,

I’m having this problems with many classes, including:

The exception notifier plugin, a controller created using
script/generate, and several others… HELP PLEASE!!!

Andrew


#3

`load_missing_constant’: Expected
/home/wybo/logilogi/trunk/config/…/app/models/link.rb to define Link
(LoadError)

Yes,

I’m having this problems with many classes, including:

The exception notifier plugin, a controller created using
script/generate, and several others… HELP PLEASE!!!

In my case they disappeared after I removed the Engines-plugin.

Still there was quite a bit refactoring to do, especially as Rails 1.2
is more strict on :null => false restrictions on the db (which is
good, I was already wondering what they were good for in 1.1.6), and
such, but it’s now working with 1.2.

Wybo

Andrew

::Student:

  • History, Informatiekunde (computer linguistics, IR, webtech) and
    Philosophy
  • Member of the Center for Metahistory Groningen
    (http://www.rug.nl/let/cmg)

::Free Software and Open Source Developer:

  • http://www.LogiLogi.org, innovative system for cumulative, shared
    commenting,
    and idea sharing: Web for Philosophy…
  • ComLinToo, a computational linguistics toolset written in Perl
  • Lake (LogiLogi.org Make), a make-replacement using makefiles in pure
    C++

::Being:


#4

I went back to 1.2.0 RC2 and don’t have this problem anymore.

rake rails:freeze:edge TAG=rel_1-2-0_RC2

Steven

Steven S., CEO, FiveRuns
http://www.fiveruns.com